Bug 18285 - Koha::Database schema cache accessors
Summary: Koha::Database schema cache accessors
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Olli-Antti Kivilahti
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 18226 18286
  Show dependency treegraph
 
Reported: 2017-03-16 19:01 UTC by Olli-Antti Kivilahti
Modified: 2017-06-13 07:27 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18285 - Koha::Database schema cache accessors (999 bytes, patch)
2017-03-16 19:07 UTC, Olli-Antti Kivilahti
Details | Diff | Splinter Review
Bug 18285: Koha::Database schema cache accessors (1.07 KB, patch)
2017-05-02 14:43 UTC, Marcel de Rooy
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 18295: C4::Items - get_itemnumbers_of (9.56 KB, patch)
2017-05-31 18:48 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 18285: Koha::Database schema cache accessors (1.11 KB, patch)
2017-06-05 20:47 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Olli-Antti Kivilahti 2017-03-16 19:01:37 UTC
Safe way of getting and flushing the $database->{schema} -cache.

This is needed by Test::DBIx::Class to overcome pre-initialization connection caching from C4::Context and others.
Comment 1 Olli-Antti Kivilahti 2017-03-16 19:07:32 UTC
Created attachment 61185 [details] [review]
Bug 18285 - Koha::Database schema cache accessors

Safe way of getting and flushing the $database->{schema} -cache.

This is needed by Test::DBIx::Class to overcome pre-initialization connection
caching from C4::Context and others.

See Buug 18286
Comment 2 Marc Véron 2017-03-29 14:02:26 UTC
I have the impression that 18226 can be removed from 'Blocks' because 18286 blocks 18226 as well (see dependency graph https://bugs.koha-community.org/bugzilla3/showdependencygraph.cgi?id=18285)
Comment 3 Marcel de Rooy 2017-05-02 14:43:17 UTC
Created attachment 62967 [details] [review]
Bug 18285: Koha::Database schema cache accessors

Safe way of getting and flushing the $database->{schema} -cache.

This is needed by Test::DBIx::Class to overcome pre-initialization connection
caching from C4::Context and others.

See Bug 18286.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Josef Moravec 2017-05-31 18:48:36 UTC Comment hidden (obsolete)
Comment 5 Josef Moravec 2017-05-31 18:49:57 UTC Comment hidden (obsolete)
Comment 6 Jonathan Druart 2017-06-05 20:47:14 UTC
Created attachment 64003 [details] [review]
Bug 18285: Koha::Database schema cache accessors

Safe way of getting and flushing the $database->{schema} -cache.

This is needed by Test::DBIx::Class to overcome pre-initialization connection
caching from C4::Context and others.

See Bug 18286.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Jonathan Druart 2017-06-05 20:56:51 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 8 Fridolin SOMERS 2017-06-13 07:27:42 UTC
Enhancement not pushed to 17.05.x